Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SInConnect

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SConnect
                  SEdit.SInConnect

Direct Known Subclasses:
  LogicalInConnect

    public class SInConnect

extends SConnect

la classe abstraite qui correspond à la notion de connecteur dans une structure qui relie un ensemble d'arcs à un noeud Basé sur SInPin, mais se connecte à des SComponent

Field Summary

Fields inherited from class SEdit.SConnect
`arrows, component, connectorPlacement, name_on_module`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`SInConnect()`

Method Summary
`protected void` | `addInArrow(SArrow a)`
`protected void` | `addOutArrow(SArrow a)`
`java.util.Vector` | `getInArrows()`
`java.util.Vector` | `getOutArrows()`
`protected boolean` | `isConnectable(SArrow s, boolean isTarget)`

Methods inherited from class SEdit.SConnect
`addToComponent, delete, deleteInArrow, deleteOutArrow, getComponent, getConnectorPlacement, initGraphics, removeFromComponent, setComponent`

Methods inherited from class SEdit.SNode
`activate, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SInConnect

    public SInConnect()

Method Detail

### isConnectable

    protected boolean isConnectable(SArrow s,
                                    boolean isTarget)

  Specified by:
    `isConnectable` in class `SNode`

### addOutArrow

    protected void addOutArrow(SArrow a)

  Specified by:
    `addOutArrow` in class `SNode`

### addInArrow

    protected void addInArrow(SArrow a)

  Specified by:
    `addInArrow` in class `SNode`

### getInArrows

    public java.util.Vector getInArrows()

  Specified by:
    `getInArrows` in class `SNode`

### getOutArrows

    public java.util.Vector getOutArrows()

  Specified by:
    `getOutArrows` in class `SNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.